Bug 870143 - RPCNFSDCOUNT mishandled, NFS mount failed
RPCNFSDCOUNT mishandled, NFS mount failed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 12:10 EDT by Stas Sergeev
Modified: 2012-11-29 01:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 01:10:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stas Sergeev 2012-10-25 12:10:01 EDT
Description of problem:
After the online fedora update, NFS server silently stopped to work.
After lots of investigation I've found out that RPCNFSDCOUNT of
/etc/sysconfig/nfs is mishandled. If it is commented out, the
NFS server will fail to work. It appeared to be commented out
because I ended up with nfs.rpmnew where it was not commented.
The bug seems to be in
/lib/systemd/system/nfs-server.service
and the following change seems to fix the problem:
---
--- nfs-server.service.old	2012-06-22 21:36:20.000000000 +0400
+++ nfs-server.service	2012-10-25 20:06:43.888744824 +0400
@@ -11,7 +11,7 @@
 EnvironmentFile=-/etc/sysconfig/nfs
 ExecStartPre=/usr/lib/nfs-utils/scripts/nfs-server.preconfig
 ExecStartPre=/usr/sbin/exportfs -r
-ExecStart=/usr/sbin/rpc.nfsd $RPCNFSDARGS ${RPCNFSDCOUNT}
+ExecStart=/usr/sbin/rpc.nfsd $RPCNFSDARGS $RPCNFSDCOUNT
 ExecStartPost=-/usr/lib/nfs-utils/scripts/nfs-server.postconfig
 ExecStop=/usr/sbin/rpc.nfsd 0
 ExecStopPost=/usr/sbin/exportfs -f
---

Version-Release number of selected component (if applicable):
nfs-utils-1.2.6-3.fc17.x86_64

How reproducible:
Easily

Steps to Reproduce:
1. Comment out RPCNFSDCOUNT in /etc/sysconfig/nfs
2. restart nfs.service
3. try to mount nfs
  
Actual results:
mount locks up forever, silently

Expected results:
mount should succeed

Additional info:
Comment 1 Stas Sergeev 2012-10-25 12:20:55 EDT
Additionally, I'd say that it is very bad
that no failure is reported, anywhere.
systemctl status  nfs.service
says nothing bad.
Comment 2 Fedora Update System 2012-11-08 13:03:00 EST
nfs-utils-1.2.6-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nfs-utils-1.2.6-6.fc17
Comment 3 Fedora Update System 2012-11-08 13:06:24 EST
nfs-utils-1.2.6-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nfs-utils-1.2.6-14.fc18
Comment 4 Fedora Update System 2012-11-08 22:19:30 EST
Package nfs-utils-1.2.6-14.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nfs-utils-1.2.6-14.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17810/nfs-utils-1.2.6-14.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-11-29 01:10:08 EST
nfs-utils-1.2.6-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-11-29 01:39:00 EST
nfs-utils-1.2.6-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.